org.eclipse.ui.texteditor

## Interface IUpdate

All Known Implementing Classes:
  AddMarkerAction, AddTaskAction, CaseAction, ChangeEncodingAction, ContentAssistAction, ConvertLineDelimitersAction, DeleteLineAction, FindNextAction, FindReplaceAction, GotoAnnotationAction, GotoLineAction, IncrementalFindAction, InsertLineAction, JoinLinesAction, MarkAction, MarkerRulerAction, MarkerRulerInfoAction, MoveLinesAction, QuickDiffToggleAction, RecenterAction, RevertToSavedAction, RunToLineAction, SaveAction, SelectAnnotationRulerAction, SelectMarkerRulerAction, SelectMarkerRulerInfoAction, ShiftAction, ShowWhitespaceCharactersAction, TextEditorAction, TextOperationAction, TextViewerAction, TextViewerGotoLineAction, ToggleBreakpointAction

    public interface IUpdate

Indicates the support of an update method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update()` Requests that this object update itself.

### Method Detail

#### update

    void update()

Requests that this object update itself.